<?php
/**
 * Zikula Application Framework
 *
 * @copyright Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: LanguageUtil.class.php 24933 2008-12-01 03:01:27Z bp $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @author Robert Gasch rgasch@gmail.com
 * @package Zikula_Core
 */



/**
 * LanguageUtil
 *
 * @package Zikula_Core
 * @subpackage LanguageUtil
 */
class LanguageUtil
{
    /**
     * Return the currently available system languages
     *
     * @return An array of system languages
     */
    function getLanguages ()
    {
        // check the language folders in /language
        $dir = opendir ("language");
        $langs = array();
        while ($lang = readdir($dir)) {
            if ((strlen($lang) > 2) && (is_dir("language/$lang")) && $lang!='CVS' && $lang!='.svn')
            $langs[] = $lang;
        }

        return $langs;
    }


    /**
     * Return the currently available languages
     *
     * @return An array of languages
     */
    function getInstalledLanguages()
    {
        static $installedlangs;

        if (isset($installedlangs)) {
            return $installedlangs;
        }

        $langs = LanguageUtil::getLanguages();
        $alllangs = languagelist();

        $installedlangs = array();
        foreach ($langs as $lang) {
            if (isset($alllangs[$lang])) {
                $installedlangs[$lang] = $alllangs[$lang];
            }
        }

        return $installedlangs;
    }
  
    
}
