<?php
/**
 * Zikula Application Framework
 *
 * @copyright (c) 2002, Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: pnaccountapi.php 24733 2008-10-17 11:44:47Z Guite $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @package Zikula_System_Modules
 * @subpackage Profile
 * @author Mark West
 */

/**
 * Return an array of items to show in the your account panel
 *
 * @return   array   array of items, or false on failure
 */
function Profile_accountapi_getall($args)
{
    if (!isset($args['uname'])) {
        if (!pnUserloggedIn()) {
            $uname = null;
        } else {
            $uname = pnUserGetVar('uname');
        }
    }

    pnModLangLoad('Profile', 'user');
    // Create an array of links to return
    if ($uname != null) {
        $uid = pnUserGetIDFromName($uname);
        $items = array(array('url'     => pnModURL('Profile', 'user', 'view', array('uid' => $uid)),
                             'module'  => 'core',
                             'set'     => 'icons/large',
                             'title'   => _PROFILE_VIEW,
                             'icon'    => 'personal.gif'));
        if (SecurityUtil::checkPermission('Profile:Members:', '::', ACCESS_READ)) {
            $items[] = array('url'     => pnModURL('Profile', 'user', 'viewmembers'),
                             'module'  => 'core',
                             'set'     => 'icons/large',
                             'title'   => _PROFILE_MEMBERSLIST,
                             'icon'    => 'agt_family.gif');
        }
    } else {
        $items = null;
    }

    // Return the items
    return $items;
}
