<?php
/**
 * Zikula Application Framework
 *
 * @copyright (c) 2002, Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: admin.php 25200 2008-12-28 19:56:20Z Guite $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @package     Zikula_System_Modules
 * @subpackage  Zikula_Admin
 */

// general defines
define('_ADMIN', 'Admin Panel');
define('_ADMINPANEL', 'Admin Panel');
define('_ADMIN_ONLINEMANUAL', 'Online Help');
define('_ADMIN_TITLE', 'Admin Panel Manager');
define('_ADMIN_PNSECURITYANALYZER', 'Security Analyzer Warnings');
define('_MODULESCATEGORIZATION', 'Modules Categorization');
define('_MODIFYADMINPANELCONFIG', 'Admin Panel Settings');
define('_MODULECATEGORIESLISTVIEW', 'Module Categories List');
define('_NEWMODULECATEGORY', 'Create Module Category');
define('_ADMIN_NEWCATEGORY', 'New Module Category');
define('_ADMIN_EXISTINGCATEGORY', 'Existing Module Category');

// menu
define('_VIEWMODULECATEGORIES', 'Modules Categories List');
define('_ADMIN_MODIFYMODULECATEGORY', 'Modify module category');
define('_ADMIN_CREATEMODULECATEGORY', 'Create module category');
define('_ADMIN_DELETEMODULECATEGORY', 'Delete module category');
define('_ADMIN_CONFIRMDELETEMODULECATEGORY', 'Do you really want to delete this module category?');

// error messages
define('_ADMIN_DELETEFAILEDDEFAULT', 'Sorry! You cannot delete the default Admin Panel module category.');
define('_ADMIN_DELETEFAILEDSTART', 'Sorry! You cannot delete the module category that is set to be selected initially when the Admin Panel displays.');
define('_ADMIN_FAILEDADDMODTOCAT', 'Error! Sorry! Could not add module to module category.');
define('_ADMIN_NOADMINLINKS', 'This administration category is empty. You have probably ended up here because you have administrative access to a module which is not in the default administration category.');

// modify config
define('_ADMIN_GENERALSETTINGS', 'General Settings');
define('_ADMIN_DISPLAYICONS', 'Display icons');
define('_ADMIN_DISPLAYNAMETYPE', 'Display of module names');
define('_ADMIN_DISPLAYNAMETYPE_DISPLAYNAME', 'Display name');
define('_ADMIN_DISPLAYNAMETYPE_REALNAME', 'Real name');
define('_ADMIN_DISPLAYNAMETYPE_BOTH', 'Both');
define('_ADMIN_IGNOREINSTALLERCHECK', 'Ignore check for installer');
define('_ADMIN_IGNOREINSTALLERCHECKWARNING', 'Warning! Only enable the above option if this site is isolated from the Internet, otherwise security could be endangered if you omit to remove the Installer script from the site root and are not prompted to do so.');
define('_ADMIN_PANELDISPLAYSETTINGS', 'Display Settings');
define('_ADMIN_MODULESPERPAGE', 'Modules per page');
define('_ADMIN_MODULESPERROW', 'Modules per row');
define('_ADMIN_THEME', 'Theme to use');
define('_ADMIN_THEMESITE', 'Use site\'s theme');
define('_ADMIN_SKIN', 'Stylesheet to use');
define('_ADMIN_STARTCATEGORY', 'Category initially selected');
define('_ADMIN_DEFAULTCATEGORY', 'Default category for newly-added modules');

/* "Stop" messages following security analyzer check for installer files and PSAK prior to admin panel being displayed */
define('_ADMIN_PSAKWARNING', 'Stop, please! Swiss Army Knife tool (file \'psak.php\') is in the site root, but must be removed before you can access the Admin Panel.');
define('_ADMIN_INSTALLWARNING','Stop, please! Installer file \'install.php\' and directory \'install\' are in the site root, but must be removed before you can access the Admin Panel.');
define('_ADMIN_UPGRADEWARNING', 'Stop, please! An upgrade script (file \'upgrade.php\') is in the site root, but must be removed before you can access the Admin Panel.');
define('_ADMIN_UPGRADE10XWARNING', 'Stop, please! An upgrade script (file \'upgrade10xto11x.php\') is in the site root, but must be removed before you can access the Admin Panel.');

// Zikula security analyzer defines
define('_ADMIN_UPGRADE_PHP','Installer file \'upgrade.php\' is in the site root, but should be removed.');
define('_ADMIN_UPGRADE10X_PHP','Installer file \'upgrade10xto11x.php\' is in the site root, but should be removed.');
define('_ADMIN_CONFIG_PHP','Configuration file \'config/config.php\' is writable, but should be read-only (644 or 444).');
define('_ADMIN_MAGIC_QUOTES','PHP \'magic_quotes_gpc\' setting is ON, but should be OFF.');
define('_ADMIN_REGISTER_GLOBALS','PHP \'register_globals\' setting is ON, but should be OFF.');
define('_ADMIN_PNTEMP_HTACCESS','There is no \'.htaccess\' file in the temporary directory (\'/pnTemp\' or other name), but one should be present.');
define('_ADMIN_SAFEHTML', 'SafeHTML output filter is not enabled in the Security Center module, but preferably should be.');
define('_ADMIN_SECURITYCENTERNOTINSTALLED', 'Security Center module is not installed, but preferably should be.');
define('_ADMIN_SECURITYCENTERNOTENABLED', 'Security Center module is not activated, but preferably should be.');
define('_ADMIN_LEGACY_MODE','Legacy module support is enabled, but preferably should be disabled.');

/* Defines for the Admin module's help page (davidnelson) */
define('_ADMINGENERALSETTINGSHELP', 'There is currently only one option in the General Settings section:');
define('_ADMINDISPLAYSETTINGSHELP', 'There are six display settings:');
define('_ADMINCATEGORYCONFIGURATIONHELP', 'In the Modules Categorization section, you can choose two things:');
define('_ADMIN_DEFAULTCATEGORYEXPLAINED', 'Open the dropdown list and choose the module category in which to put all newly installed and activated modules.');
define('_YOUGETTHEMESSAGE','You see the message:');
define('_ADMINADDCATEGORYHELP','Lets you add a new category to the module categories tab list. You can edit the following:');
define('_ADMINADDCATEGORYHELP1', 'Enter the name to be displayed within the categories tab menu.');
define('_ADMINADDCATEGORYHELP2', 'Enter an informative description to be displayed after the category name, when this category is displayed in the Admin Panel.');
define('_ADMINUPDATECATEGORY','Edit');
define('_ADMINUPDATECATEGORYHELP','Lets you edit the name and description of an existing module category.');
define('_ADMINDELETECATEGORY','Delete');
define('_ADMINDELETECATEGORYHELP','Lets you delete a module category from the tab menu. You will be prompted for confirmation before the category is deleted.');
define('_ADMINVIEW','Module Category List View');
define('_ADMINVIEWHELP','Displays the list view of module categories included within the category tab menu. In the \'Actions\' column on the right, you can choose to edit or delete a module category:');
define('_ADMINMODIFYCONFIGHELP','The \'Admin Panel Settings\' panel contains three sections: \'General Settings\', \'Display Settings\' and \'Modules Categorization\'. Each is covered  below:');
define('_MODULECATEGORIZATION', 'Module category selection');
define('_ADMIN_DISPLAYICONSEXPLAINED','When checked, this option causes graphic icons to be displayed for each module in the Admin Panel.');
define('_ADMIN_MODULESPERPAGEEXPLAINED','Enter a whole number for the number of modules to be displayed on each page of the Admin Panel.');
define('_ADMIN_MODULESPERROWEXPLAINED','Enter a whole number for the number of modules to be displayed on each line of the Admin Panel.');
define('_ADMIN_THEMEEXPLAINED','Open the dropdown list and choose the theme to be applied to the Admin Panel.');
define('_ADMIN_SKINNSEXPLAINED','Open the dropdown list and choose the style sheet to be used to render the Admin Panel.');
define('_ADMIN_STARTCATEGORYEXPLAINED','Open the dropdown list and choose the modules category to be shown when the Admin Panel first displays.');
define('_ADMINIGNOREINSTALLERCHECKHELP','This option enables you to disable the Security Analyzer\'s check to see if the Installer is present in your site\'s root directory. Preferably, you should leave the check enabled, as a security breach could easily occur if you omit to remove the Installer\'s components after completing installation.');
define('_ADMINSECURITYWARNINGSHELP','In the Admin panel, you will see security warnings displayed if the Security Analyzer detects potential security vulnerabilities in your site\'s installation. If you see no warning box then it means that no vulnerabilities have been found. Please read the security documentation for more security-related information. Below are explanations for each vulnerability possibly identified.');
define('_ADMIN_INSTALLWARNING_HELP','After completing the installation process, it is very important to delete the Installer\'s file \'install.php\' and directory \'install\' from the site root directory, especially if it is online on the Internet, because otherwise there is an opportunity for a security breach. If the Security Analyzer detects this vulnerability, you will have to remove them before you can access the Admin Panel. In addition, please consult the security documentation for more information about how to optimally configure a site from the security viewpoint.');
define('_ADMIN_PSAKWARNING_HELP','The Swiss Army Knife tool (a file called \'psak.php\') is a useful utility for resolving certain problems, but should not be left in any directory accessible from the Internet, because this leaves an easy opportunity for a security breach. If the Security Analyzer detects this vulnerability, you will have to remove \'psak.php\' before you can access the Admin Panel.');
define('_ADMIN_CONFIG_PHP_HELP','When a site is originally installed, the Installer script creates a configuration file called \'config.php\' that is located in the subdirectory \'config\' within the site\'s root directory. It should not be left writable, because this leaves an opportunity for a security breach. You should set the file\'s permissions to read-only (644 or 444). In addition, please consult the security documentation for more information about how to optimally configure a site from the security viewpoint.');
define('_ADMIN_LEGACY_MODE_HELP','You have the possibility of enabling support for legacy PostNuke modules. However, legacy modules can contain security holes that can compromise a site\'s security. You are strongly recommended to only use up-to-date versions of modules that are compliant with the project\'s official API (Application Programming Interface). In this case, legacy module support can be disabled (this is the default setting when a site is first installed).');
define('_ADMIN_MAGIC_QUOTES_HELP','In some hosting environments, the PHP setting \'magic_quotes_gpc\' may be set to ON. However, this creates an opportunity for security breaches. If the site is accessible from the Internet, you are strongly recommended to ensure that \'magic_quotes_gpc\' is set to OFF. For instructions about how to do this, please consult the security documentation.');
define('_ADMIN_PNTEMP_HTACCESS_HELP','If properly installed, a site will include an \'.htaccess\' file in the site\'s temporary directory (which is called \'/pnTemp\', unless another name is used). However, some methods used for transferring the package\'s files to a web space may lead to this file not being transferred. In this case, you are strongly recommended to create one (and to ensure that \'.htaccess\' files exist in certain other directories, too). For more information about this, please consult the security documentation.');
define('_ADMIN_REGISTER_GLOBALS_HELP','In some hosting environments, the PHP setting \'register_globals\' may be set to ON. However, this can create an opportunity for security breaches. If the site is accessible from the Internet, you are strongly recommended to ensure that \'register_globals\' is set to OFF. For instructions about how to do this, please consult the security documentation.');
define('_ADMIN_SAFEHTML_HELP','The SafeHTML output filter is a feature of the Security Center module that enhances the security of a site, and the security analyzer has detected that it is not enabled. You are recommended to ensure that it is enabled. You will also see this message if the Security Center module is not installed or is not activated. For more information about this, please consult the Security Center online help.');
define('_ADMIN_SECURITYCENTERNOTINSTALLED_HELP','When a site is originally installed, the Security Center is installed and activated by default. You will see the above message if the Security Center has been removed. You are recommended to leave the Security Center installed, as it enhances a site\'s security.');
define('_ADMIN_SECURITYCENTERNOTENABLED_HELP','When a site is originally installed, the Security Center is installed and activated by default. You will see the above message if the Security Center has been deactivated. You are recommended to leave the Security Center activated, as it enhances a site\'s security.');
define('_ADMIN_UPGRADE_PHP_HELP','The file \'upgrade.php\' is used by the Installer script if a previously-existing site is upgraded to a more-recent version. Once the new site is working properly, you should delete this file as it is no longer required and could make a security breach possible.');
define('_ADMIN_MODULESCATEGORIZATIONEXPLAINED', 'You will see listed all the modules currently installed and activated. Open the dropdown list beside each module and choose the module category in which that module should be placed.');
