<?php
/**
 * Zikula Application Framework
 *
 * @copyright Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: pnadminapi.php 24813 2008-11-05 14:15:38Z Guite $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @author Robert Gasch rgasch@gmail.com
 * @package Zikula_Core
 */

/**
 * get available admin panel links
 *
 * @author Mark West
 * @return array array of admin links
 */
function categories_adminapi_getlinks()
{
    $links = array();

    pnModLangLoad('Categories', 'admin');

    if (SecurityUtil::checkPermission('Categories::', '::', ACCESS_READ)) {
        $links[] = array('url' => pnModURL('Categories', 'admin', 'view'), 'text' => _CATEGORIES_VIEWCATEGORIES);
    }
    if (SecurityUtil::checkPermission('Categories::', '::', ACCESS_ADD)) {
        $links[] = array('url' => pnModURL('Categories', 'admin', 'new'), 'text' => _CATEGORIES_CREATECATEGORY);
    }
    if (SecurityUtil::checkPermission('Categories::', '::', ACCESS_ADMIN)) {
        $links[] = array('url' => pnModURL('Categories', 'admin', 'editregistry'), 'text' => _CATEGORIES_REGISTRY);
        $links[] = array('url' => pnModURL('Categories', 'admin', 'config'), 'text' => _CATEGORIES_REBUILDPATHS);
        $links[] = array('url' => pnModURL('Categories', 'admin', 'preferences'), 'text' => _MODIFYCONFIG);
    }

    return $links;
}
