<?php
/**
 * Zikula Application Framework
 *
 * @copyright Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: common.php 24850 2008-11-08 18:01:36Z Guite $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @author Robert Gasch robert.gasch@value4business.com
 * @package Zikula_Core
 */

// general
define('_CATEGORIES_IPATH',                 'I-path');
define('_CATEGORIES_PATH',                  'Path');
define('_CATEGORIES_ROOTCAT',               'Root category');

// navigation
define('_CATEGORIES_REGISTRY',              'Category Registry');
define('_CATEGORIES_VIEWCATEGORIES',        'View categories');
define('_CATEGORIES_CREATECATEGORY',        'Create category');
define('_CATEGORIES_MODIFYCATEGORY',        'Modify category');
define('_CATEGORIES_DELETECATEGORY',        'Delete category');
define('_CATEGORIES_CONFIRMDELETECATEGORY', 'Do you really want to delete this category?');

// view template
define('_CATEGORIES_VIEW_TITLE',            'Categories List');

// user template
define('_CATEGORIES_EDIT_SUBCATEGORIES',    'Edit subcategories under this node');
define('_CATEGORIES_EDIT_USER',             'Edit your user categories');
define('_CATEGORIES_EDIT_USER_DISABLED',    'Sorry, user-owned category editing has not been enabled. Your site admin can enable this feature.');
define('_CATEGORIES_EDIT_USER_NOT_OWN',     'Sorry, it looks like you\'re trying to edit another user\'s categories. This is only allowed for site admins.');

// new/edit template
define('_CATEGORIES_ADDITIONALDATA',        'Additional data fields');
define('_CATEGORIES_ADVANCED',              'Toggle advanced mode');
define('_CATEGORIES_ATTRIBUTES',            'Attributes');
define('_CATEGORIES_ATTRIBUTE_ADD',         'Add an Attribute');
define('_CATEGORIES_ATTRIBUTE_NAME',        'Attribute Name');
define('_CATEGORIES_ATTRIBUTE_VALUE',       'Attribute Value');
define('_CATEGORIES_BACK_TO_REFERER',       'Back to referring module');
define('_CATEGORIES_BASEINFO',              'Basic category information');
define('_CATEGORIES_CATEGORY_IS_LOCKED',    'This category has been locked by the administrator and can not be edited or deleted.');
define('_CATEGORIES_CATEGORY_DELETE_CONFIRM', 'Are you sure you wish to delete the category [');
define('_CATEGORIES_CATEGORY_DELETE_CONFIRM_QM', '] ?');
define('_CATEGORIES_COPY_SUCCESS',		    'The category [%s] has been successfully copied');
define('_CATEGORIES_DELETE_SUCCESS',		'The category [%s] has been successfully deleted');
define('_CATEGORIES_INSERT_SUCCESS',        'The category [%s] has been successfully inserted');
define('_CATEGORIES_IS_LEAF',               'Category is a leaf node');
define('_CATEGORIES_IS_LOCKED',             'Category is locked');
define('_CATEGORIES_LOCALISATION',          'Localised output');
define('_CATEGORIES_LOCALNAME_UNDEFINED', 	'Localized name undefined');
define('_CATEGORIES_META',                  'Category meta data');
define('_CATEGORIES_MOVE_SUCCESS',		    'The category [%s] has been successfully moved');
define('_CATEGORIES_PARENT',                'Parent');
define('_CATEGORIES_REBUILD_SUCCESS',		'The category paths have been successfully rebuilt');
define('_CATEGORIES_ROOT_PARENT_LOCKED',    'Parent category for root node can not be changed');
define('_CATEGORIES_SECURITY_DOMAIN',       'Security domain');
define('_CATEGORIES_SORT_VALUE',            'Sort value');
define('_CATEGORIES_STATUS',                'Active');
define('_CATEGORIES_SYSTEM_INFO',           'Category System Information');
define('_CATEGORIES_UPDATE_SUCCESS',        'The category [%s] has been successfully updated');
define('_CATEGORIES_VALUE',                 'Value');

// preferences template
define('_CATEGORIES_PREFS',                 'Preferences');
define('_CATEGORIES_PREFS_USERROOTCAT',     'Root Category for User Categories');
define('_CATEGORIES_PREFS_ALLOWUSERCATEDIT', 'Allow each user to edit their own categories');
define('_CATEGORIES_PREFS_AUTOCREATEUSERCAT', 'Autocreate user category root folder');
define('_CATEGORIES_PREFS_AUTOCREATEUSERDEFAULTCAT', 'Autocreate user default category');
define('_CATEGORIES_PREFS_USERDEFAULTCATNAME', 'Default user category');
define('_CATEGORIES_PREFS_PERMISSIONSALL',   'Require access to all categories for one item (relevant when using multiple categories per content item)');
define('_CATEGORIES_REBUILDPATHS',          'Rebuild paths');
// list template
define('_CATEGORIES_RESEQUENCE',            'Re-sequence');

// delete template
define('_CATEGORIES_SUBCATS_DELETE',        'Delete all subcategories');
define('_CATEGORIES_SUBCATS_MOVE',          'Move all subcategories to the next category');
define('_CATEGORIES_SUBCATS_STATUS',        'This category contains %c% direct subcategories.');
define('_CATEGORIES_SUBCATS_WARNING',       'Please also choose what to do with this category\'s subcategories:');

// module registry template
define('_CATEGORIES_REGISTRY_PROPERTY',     'Property Name');
define('_CATEGORIES_REGISTRY_DELETE_SUCCESS',	'Category registry entry has been successfully deleted');
define('_CATEGORIES_REGISTRY_SAVE_SUCCESS',	'Category registry entry has been successfully saved');
define('_CATEGORIES_REGISTRY_TABLE',        'Table');
define('_CATEGORIES_REGISTRY_DELETE_CONFIRM', 'Do you really want to delete this registry?');

// move template
define('_CATEGORIES_MOVE_TITLE',            'Move a category');

// copy template
define('_CATEGORIES_COPY_DESCRIPTION',      'Copy this catgegory and all subcategories of this category');
define('_CATEGORIES_COPY_TITLE',            'Copy category');

// modify config template
define('_CATEGORIES_CONFIG_REBUILD',        'This page allows you to rebuild all system internal paths');
define('_CATEGORIES_CONFIG_REBUILD_INFO',   '<br /><br />You can trigger this action by clicking on the submit button below. Depending on the number of categories in your system, this action could either time out or exceed your configured PHP memory limit.');
define('_CATEGORIES_CONFIG_REBUILD_PATHS',  'Rebuild paths');

// user editing
define('_CATEGORIES_YOURCATEGORIES',        'Your categories');

// error/status messages
define('_CATEGORIES_DOCROOT_CANT_RETRIEVE', 'Error! Sorry! Can\'t access root directory');
define('_CATEGORIES_DOCROOT_INVALID',       'Error! Sorry! Invalid \'document root\' parameter in URL');
define('_CATEGORIES_EDITCAT_INVALID',       'Error! Sorry! Can\'t edit: category is invalid');
define('_CATEGORIES_EDITCAT_NOT_LEAF',      'Error! Sorry! The specified category is not a leaf-level category');
define('_CATEGORIES_EDITCAT_NOT_SUBCAT',    'Error! Sorry! The specified category is not a child of the document root');
define('_CATEGORIES_INVALID_CID',           'Error! Sorry! An invalid category ID was received');
define('_CATEGORIES_INVALID_DIRECTION',     'Error! Sorry! An invalid direction was received');
define('_CATEGORIES_INVALID_DOCROOT',       'Error! Sorry! An invalid docroot was received');
define('_CATEGORIES_NAME_EMPTY',            'Error! Sorry! Name cannot be left blank');
define('_CATEGORIES_NO_USERCATNAME',        'Error! Sorry! Unable to determine user category root node name');
define('_CATEGORIES_ROOT_CANT_EDIT',        'Error! Sorry! The root directory cannot be modified in \'user\' mode');
define('_CATEGORIES_UNABLE_TO_RETRIEVE',    'Error! Sorry! Unable to retrieve category with id [%d]');
define('_CATEGORIES_USERCAT_NOAUTOCREATE',  'Error! Sorry! The user root category node for this user doesn\'t exist and the autocreate flag is not set');
define('_CATEGORIES_USERCAT_LOGGED_IN',     'Error! Sorry! The user category edit mode is only available logged-in users');
define('_CATEGORIES_USERDOCROOT_EMPTY',     'Error! Sorry! Could not determine the User root node');
define('_CATEGORIES_USERDOCROOT_INVALID',   'Error! Sorry! The User root node seems to point towards an invalid category');
define('_CATEGORIES_VALUE_EMPTY',           'Error! Sorry! Value cannot be left blank');
define('_CATEGORIES_REGISTRY_MODULE_EMPTY', 'Error! Sorry! You must select module');
define('_CATEGORIES_REGISTRY_TABLE_EMPTY',  'Error! Sorry! You must select a module table');
define('_CATEGORIES_REGISTRY_PROPERTY_EMPTY','Error! Sorry! You must enter a property name');
define('_CATEGORIES_REGISTRY_CATEGORY_EMPTY','Error! Sorry! You must select a category');
define('_CATEGORIES_REGISTRY_PROPERTY_DUPLICATE','Error! Sorry! This property name already exists for the given module and table');

