<?php
/**
 * Zikula Application Framework
 *
 * @copyright (c) 2002, Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: modifier.errortext.php 18167 2006-03-16 01:49:56Z drak $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @package      Zikula_System_Modules
 * @subpackage   Errors
 */

/**
 * Smarty modifier to convert lanugage define into textual string
 *
 * This modifier converts a lanugage define (currently a defined contant e.g.
 * _MYCONST) into the language string represented by that define
 *
 *
 * Example
 *
 *   <!--[$var|errortext]-->
 *
 * @author       Mark West
 * @since        16. Sept. 2003
 * @see          modifier.errortext.php::smarty_modifier_errortext()
 * @param        array    $string     the contents to transform
 * @return       string   the modified output
 */
function smarty_modifier_errortext($string)
{
    switch ($string) {
        case E_ERROR:
        case E_USER_ERROR:
            $msg = _ERRORS_USER_ERROR_TEXT;
            break;
        case E_WARNING:
        case E_USER_WARNING:
            $msg = _ERRORS_USER_WARNING_TEXT;
            break;
        case E_NOTICE:
        case E_USER_NOTICE:
            $msg = _ERRORS_USER_NOTICE_TEXT;
            break;
        default:
            $msg = _ERRORS_USER_UNKNOWN_TEXT;
            break;
    }

    return $msg;
}
