<?php
/**
 * Zikula Application Framework
 *
 * @copyright (c) 2001, Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: pnaccountapi.php 24342 2008-06-06 12:03:14Z markwest $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @package Zikula_System_Modules
 * @subpackage Users
 * @license http://www.gnu.org/copyleft/gpl.html
 */

/**
 * Return an array of items to show in the your account panel
 *
 * @return   array   array of items, or false on failure
 */
function Groups_accountapi_getall($args)
{
    // load the user language file
    pnModLangLoad('Groups', 'user');

    // Check if there is at least one group to show
    $result = pnModAPIFunc('Groups', 'user', 'getallgroups', array());

    if ($result <> false) {
        // create an array of links to return
        $items = array(array('url'    => pnModURL('Groups', 'user'),
                             'module' => 'core',
                             'set'    => 'icons/large',
                             'title'  => _GROUPS,
                             'icon'   => 'agt_family.gif'));
    } else {
        $items = $result;
    }

    // Return the items
    return $items;
}
