<?php
/**
 * Zikula Application Framework
 *
 * @copyright (c) 2001, Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: pnadminapi.php 24342 2008-06-06 12:03:14Z markwest $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @uses PHPMailer http://phpmailer.sourceforge.net
 * @package Zikula_System_Modules
 * @subpackage Mailer
 */

/**
 * get available admin panel links
 *
 * @author Mark West
 * @return array array of admin links
 */
function Mailer_adminapi_getlinks()
{
    $links = array();

    pnModLangLoad('Mailer', 'admin');

    if (SecurityUtil::checkPermission('Mailer::', '::', ACCESS_ADMIN)) {
        $links[] = array('url' => pnModURL('Mailer', 'admin', 'testconfig'), 'text' => _MAILER_TESTCONFIG);
    }
    if (SecurityUtil::checkPermission('Mailer::', '::', ACCESS_ADMIN)) {
        $links[] = array('url' => pnModURL('Mailer', 'admin', 'modifyconfig'), 'text' => _MODIFYCONFIG);
    }

    return $links;
}
