<?php
/**
 * Zikula Application Framework
 *
 * @copyright Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: pninit.php 24813 2008-11-05 14:15:38Z Guite $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @author Robert Gasch rgasch@gmail.com
 * @package Zikula_Core
 */


/**
 * initialise the ObjectData module
 * This function is only ever called once during the lifetime of a particular
 * module instance
 */
function ObjectData_init()
{
    if (!DBUtil::createTable('objectdata_attributes')) {
        return false;
    }

    if (!DBUtil::createTable('objectdata_log')) {
        return false;
    }

    ObjectData_createTables_101 ();

    return true;
}


function ObjectData_createTables_101 ()
{
    if (!DBUtil::createTable('objectdata_meta')) {
        return false;
    }
}



/**
 * upgrade the module from an old version
 * This function can be called multiple times
 */
function ObjectData_upgrade($oldversion)
{
    switch ($oldversion){
    case '1.00':
            ObjectData_createTables_101 ();
        break;
    }

    return true;
}


/**
 * delete the ObjectData module
 * This function is only ever called once during the lifetime of a particular
 * module instance
 */
function ObjectData_delete()
{
    // cannot disable this module because it's required for core functions
    return false;
}
