<?php
/**
 * Zikula Application Framework
 *
 * @copyright (c) 2002, Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: pninit.php 24342 2008-06-06 12:03:14Z markwest $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @package Zikula_System_Modules
 * @subpackage Search
 * @license http://www.gnu.org/copyleft/gpl.html
 */

/**
 * initialise the Search module
 * This function is only ever called once during the lifetime of a particular
 * module instance
 */
function search_init()
{
    // Creating the table
    if (!DBUtil::createTable('search_stat')) {
        return false;
    }

    // Creating the table
    if (!DBUtil::createTable('search_result')) {
        return false;
    }
    
    // create module vars
    pnModSetVar('Search', 'itemsperpage', 10);
    pnModSetVar('Search', 'limitsummary', 255);

    // Initialisation successful
    return true;
}

/**
 * upgrade the Search module from an old version
 * This function can be called multiple times
 */
function search_upgrade($oldversion)
{
    // Upgrade dependent on old version number
    switch($oldversion) {
        case '1.0':
        case '1.1':
            pnModSetVar('Search', 'itemsperpage', 10);
        case '1.2':
            // create search stats table
            if (!DBUtil::createTable('search_stat')) {
                return false;
            }
            pnModSetVar('Search', 'limitsummary', 255);
        case '1.3':
            // Creating the search result table
            if (!DBUtil::createTable('search_result')) {
                return false;
            }
        case '1.4':
            // Future
    }

    // Update successful
    return true;
}

/**
 * Delete the Search module
 * This function is only ever called once during the lifetime of a particular
 * module instance
 */
function search_delete()
{
    if (DBUtil::dropTable('search_stat') != 2) {
        return false;
    }

    if (DBUtil::dropTable('search_result') != 2) {
        return false;
    }

    // Delete any module variables
    pnModDelVar('Search');

    // Deletion successful
    return true;
}
