<?php
/**
 * Zikula Application Framework
 *
 * @copyright (c) 2001, Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: pnadmin.php 20346 2006-10-19 15:00:24Z markwest $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @package Zikula_System_Modules
 * @subpackage SecurityCenter
*/

/**
 * Generic delete function for object model
 * 
 * @author Robert Gasch
 */
function securitycenter_adminform_delete ()
{
    // Security check
    if (!SecurityUtil::checkPermission('SecurityCenter::', '::', ACCESS_DELETE)) {
        return LogUtil::registerPermissionError();
    }

    // verify auth-key
    if (!SecurityUtil::confirmAuthKey('SecurityCenter')) {
        return LogUtil::registerError(_BADAUTHKEY);
    }

    // get paramters
    $ot = FormUtil::getPassedValue('ot', 'log_event', 'GETPOST');
    $id = (int)FormUtil::getPassedValue('id', 0, 'GETPOST');

    // sanity checkc
    if (!is_numeric($id)) {
        return LogUtil::registerError("Non-numeric object-id [$id] received");
    }

    // load class 
    if (!($class = Loader::loadClassFromModule ('SecurityCenter', $ot)))
        return pn_exit ("Unable to load class [$ot] ...");

    // instantiate object, fetch object
    $object = new $class ();
    $data = $object->get ($id);

    // check for valid object
    if (!$data) {
        return LogUtil::registerError("Invalid object-id [$id] received");
    }
    else { // delete object
        $object->delete ();
    }

    // redirect back to view function 
    return pnRedirect(pnModURL('SecurityCenter', 'admin', 'viewobj', array('ot'=>$ot)));
}
