<?php
/**
 * Zikula Application Framework
 *
 * @copyright (c) 2002, Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: pnadminapi.php 24342 2008-06-06 12:03:14Z markwest $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @author Simon Wunderlin
 * @package Zikula_System_Modules
 * @subpackage Settings
 */

/**
 * get available admin panel links
 *
 * @author Mark West
 * @return array array of admin links
 */
function Settings_adminapi_getlinks()
{
    $links = array();

    pnModLangLoad('Settings', 'admin');

    if (SecurityUtil::checkPermission('Settings::', '::', ACCESS_ADMIN)) {
        $links[] = array('url' => pnModURL('Settings', 'admin', 'modifyconfig'), 'text' => _SETTINGS_GENSITEINFO);
        $links[] = array('url' => pnModURL('Settings', 'admin', 'allowedhtml'), 'text' => _SETTINGS_HTMLOPT);
        $links[] = array('url' => pnModURL('Settings', 'admin', 'multilingual'), 'text' => _SETTINGS_MLOPT);
        $links[] = array('url' => pnModURL('Settings', 'admin', 'errorhandling'), 'text' => _SETTINGS_ERRORHANDLING);
        $links[] = array('url' => pnModURL('Settings', 'admin', 'security'), 'text' => _SETTINGS_SECOPT);
    }

    return $links;
}

/**
 * clear all compiled and cache directories
 *
 * This function simply calls the theme and pnrender modules to refresh the entire site
 *
 * @author Mark West
 */
function settings_adminapi_clearallcompiledcaches()
{
    pnModAPIFunc('pnRender', 'user', 'clear_compiled');
    pnModAPIFunc('pnRender', 'user', 'clear_cache');
    pnModAPIFunc('Theme', 'user', 'clear_compiled');
    pnModAPIFunc('Theme', 'user', 'clear_cache');
    return true;
}
