<?php
/**
 * Zikula Application Framework
 *
 * @copyright (c) 2002, Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: function.backendlanguageselect.php 24342 2008-06-06 12:03:14Z markwest $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 *
 * Settings Module
 *
 * @package      Zikula_System_Modules
 * @subpackage   Settings
 */


/**
 * Smarty function to display a list box with a list of active modules
 * either user or admin capable or all modules
 *
 * <!--[backendlanguageselect]-->
 *
 * @author       Mark West
 * @since        10/01/04
 * @see          function.backendlanguageselect.php::smarty_function_backendlanguageselect()
 * @param        array       $params      All attributes passed to this function from the template
 * @param        object      &$smarty     Reference to the Smarty object
 * @param        string      $type        type of modules to list (all/admin/user)
 * @return       string      the results of the module function
 */
function smarty_function_backendlanguageselect($params, &$smarty)
{
    // we'll make use of the html_options plugin to simplfiy this plugin
    require_once $smarty->_get_plugin_filepath('function','html_options');

    $rsslang = rsslanguagelist();
    foreach ($rsslang as $k=>$v) {
        $rsslangs[$k] = $v;
    }
    // get the formatted list
    $rsslanglist = smarty_function_html_options(array('options'      => $rsslangs,
                                                       'selected'     => $params['selected'],
                                                       'print_result' => false),
                                                       $smarty);
    return $rsslanglist;
}
