<?php
/**
* Zikula Application Framework
*
* @copyright (c) 2002, Zikula Development Team
* @link http://www.zikula.org
* @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
*
* Settings Module
*
* @package      Zikula_System_Modules
* @subpackage   Settings
*/

/**
 * Smarty function to display a list box with a list of active modules
 * either user or admin capable or all modules
 *
 * <!--[timezoneselect type=all]-->
 *
 * @author       Mark West
 * @since        10/01/04
 * @see          function.timezoneselect.php::smarty_function_timezoneselect()
 * @param        array       $params      All attributes passed to this function from the template
 * @param        object      &$smarty     Reference to the Smarty object
 * @param        string      $type        type of modules to list (all/admin/user)
 * @return       string      the results of the module function
 */
function smarty_function_timezoneselect($params, &$smarty)
{
    extract($params);
    unset($params);

    // we'll make use of the html_options plugin to simplfiy this plugin
    require_once $smarty->_get_plugin_filepath('function','html_options');

    $tzinfo = pnConfigGetVar('timezone_info');
    global $timezones;

    $timezones = array();
    foreach ($tzinfo as $tzindex => $tzdata) {
        $timezones[$tzindex] = $tzdata;
    }

    if (!isset($selected) || empty($selected) || !isset($timezones[$selected])) {
        $selected = 0;
    }

    // get the formatted list
    $tzlist = smarty_function_html_options(array('options'       => $timezones,
                                                 'selected'     => $selected,
                                                 'print_result' => false),
                                                 $smarty);
    return $tzlist;
}
