<?php
/**
 * Zikula Application Framework
 *
 * @copyright (c) 2004, Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: function.lang.php 24342 2008-06-06 12:03:14Z markwest $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @package Zikula_Template_Plugins
 * @subpackage Functions
 */

/**
 * Smarty function to get the site's language
 *
 * available parameters:
 *  - assign      if set, the language will be assigned to this variable
 *
 * Example
 * <html lang="<!--[lang]-->">
 *
 * @author   Jrg Napp
 * @since    03. Feb. 04
 * @param    array    $params     All attributes passed to this function from the template
 * @param    object   $smarty     Reference to the Smarty object
 * @return   string   the language
 */
function smarty_function_lang($params, &$smarty)
{
    if (!defined('_LOCALE')) {
        define('_LOCALE','en_US');
    }
    $p = strpos(_LOCALE, '.');
    $p ? $locale = substr(_LOCALE, 0, $p) : $locale = _LOCALE;
    return DataUtil::formatForDisplay($locale);
}
