<?php
/**
 * Zikula Application Framework
 *
 * @copyright (c) 2004, Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: function.online.php 24968 2008-12-06 10:43:43Z philipp $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @package Zikula_Template_Plugins
 * @subpackage Functions
 */

/**
 * Smarty function to to display the current date and time
 *
 * Example
 * <!--[online]-->
 *
 * @author       Andreas Rderer (Thorashh)
 * @since        08/28/2005
 * @see          function.online.php::smarty_function_online()
 * @param        array       $params      All attributes passed to this function from the template
 * @param        object      &$smarty     Reference to the Smarty object
 * @param        string      format       Date and time format
 * @return       string      how many users are online
 */
function smarty_function_online($params, &$smarty)
{
    $dbconn = pnDBGetConn(true);
    $pntable = pnDBGetTables();
    $sessioninfocolumn = $pntable['session_info_column'];
    $sessioninfotable = $pntable['session_info'];

    $activetime = DateUtil::getDatetime(time() - (pnConfigGetVar('secinactivemins') * 60));

    if (pnConfigGetVar('anonymoussessions')) {
        $query1 = "SELECT count( 1 )
                   FROM $sessioninfotable
                   WHERE $sessioninfocolumn[lastused] > '$activetime' AND $sessioninfocolumn[uid] = '0'
                   GROUP BY $sessioninfocolumn[ipaddr]";
        $result1 = $dbconn->Execute($query1);
        $numguests = $result1->RecordCount();
        $result1->Close();

        if ($numguests == 0) {
            $guests = _GUEST0;
        } elseif ($numguests == 1) {
            $guests = _GUEST;
        } else {
            $guests = _GUESTS;
        }
    }
    $query2 = "SELECT count( 1 )
               FROM $sessioninfotable
               WHERE $sessioninfocolumn[lastused] > '$activetime' AND $sessioninfocolumn[uid] >0
               GROUP BY $sessioninfocolumn[uid]";
    $result2 = $dbconn->Execute($query2);
    $numusers = $result2->RecordCount();
    $result2->Close();

    if ($numusers == 0) {
        $users = _MEMBER0;
    } elseif ($numusers == 1) {
        $users = _MEMBER;
    } else {
        $users = _MEMBERS;
    }

    return pnML('_CURRENTLYONLINE', array('userstext' => $users, 'gueststext' => $guests, 'numusers' => $numusers, 'numguests' => $numguests));
}
