<?php
/**
 * Zikula Application Framework
 *
 * @copyright (c) 2001, Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: pnaccountapi.php 24342 2008-06-06 12:03:14Z markwest $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @author Mark West
 * @package Zikula_System_Modules
 * @subpackage Theme
 */

/**
 * Return an array of items to show in the your account panel
 *
 * @return   array   array of items, or false on failure
 */
function Theme_accountapi_getall($args)
{
    $items = array();

    // check if theme switching is allowed
    if (pnConfigGetVar('theme_change')) {
        pnModLangLoad('Theme', 'user');
        // create an array of links to return
        $items[] = array('url' => pnModURL('Theme', 'user'),
                         'module' => 'core',
                         'set' => 'icons/large',
                         'title' => _THEME_SELECTTHEME,
                         'icon' => 'package_graphics.gif');
    }

    // Return the items
    return $items;
}
