<?php
/**
 * Zikula Application Framework
 *
 * @copyright (c) 2001, Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: pninit.php 24342 2008-06-06 12:03:14Z markwest $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @package Zikula_System_Modules
 * @subpackage legal
 */

/**
 * initialise the template module
 * This function is only ever called once during the lifetime of a particular
 * module instance
 * @author Mark West
 * @return bool true if successful, false otherwise
 */
function Legal_init()
{
    pnModSetVar('legal', 'termsofuse', true);
    pnModSetVar('legal', 'privacypolicy', true);
    pnModSetVar('legal', 'accessibilitystatement', true);

    // Initialisation successful
    return true;
}

/**
 * upgrade the template module from an old version
 * This function can be called multiple times
 * @author Mark West
 * @param int $oldversion version to upgrade from
 * @return bool true if successful, false otherwise
 */
function Legal_upgrade($oldversion)
{
    // Upgrade dependent on old version number
    switch($oldversion) {
        case 1.1:
            pnModSetVar('legal', 'termsofuse', true);
            pnModSetVar('legal', 'privacypolicy', true);
            pnModSetVar('legal', 'accessibilitystatement', true);
            return Legal_upgrade(1.2);
            break;
    }

    // Update successful
    return true;
}

/**
 * delete the Legal module
 * This function is only ever called once during the lifetime of a particular
 * module instance
 * @author Mark West
 * @return bool true if successful, false otherwise
 */
function Legal_delete()
{
    pnModDelVar('legal');

    // Deletion successful
    return true;
}
