<?php
/**
 * Zikula Application Framework
 *
 * @copyright (c) 2004, Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: function.dateformat.php 24647 2008-09-17 14:30:58Z Guite $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @author Robert Gasch
 * @package Zikula_Template_Plugins
 * @subpackage Functions
 */

/**
 * DateFormat
 *
 * @author	   Robert Gasch
 * @version    $Id: function.dateformat.php 24647 2008-09-17 14:30:58Z Guite $
 * @param	   format          The date format we wish to convert to (optional) (default='Y-m-d')
 * @param	   datetime        The datetime we wish to convert
 * @param	   assign          The smarty variable we wish to assign the result to (optional)
 */
function smarty_function_dateformat ($params, &$smarty)
{
    Loader::loadClass('DateUtil');

    if (!isset($params['datetime']) || empty($params['datetime'])) {
        $params['datetime'] = 0;
    }

    $res = null;
    if (isset($params['format']) && $params['format']) {
        $res = DateUtil::formatDatetime ($params['datetime'], $params['format']);
    } else {
        $res = DateUtil::formatDatetime ($params['datetime'], DATEFORMAT_FIXED);
    }

    if (isset($params['assign']) && $params['assign']) {
        $smarty->assign ($params['assign'], $res);
    } else {
        return $res;
    }
}
