<?php
/**
 * Zikula Application Framework
 *
 * @copyright (c) 2004, Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: outputfilter.pagevars.php 19321 2006-06-29 13:15:10Z markwest $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @package Zikula_Template_Plugins
 * @subpackage Functions
 */

/**
  load the relevant library files
  */
require_once 'javascript/phplayersmenu/lib/PHPLIB.php';
require_once 'javascript/phplayersmenu/lib/layersmenu-common.inc.php';
require_once 'javascript/phplayersmenu/lib/layersmenu.inc.php';

/**
 * Smarty function to include the relevant files for the phpLayersMenu and pass a previously generated menu string to phpLayersMenu
 * 
 * @author       Robert gasch
 * @since        01/11/2004
 * @see          
 * @param        array       $params      All attributes passed to this function from the template
 * @param        object      &$smarty     Reference to the Smarty object
 * @return       string      the results of the module function
 */
function smarty_function_layersmenu ($params, &$smarty) 
{
    $menuString = isset($params['menuString']) ? $params['menuString'] : '';

    PageUtil::addVar('stylesheet', 'javascript/phplayersmenu/layersmenu-demo.css');      
    PageUtil::addVar('stylesheet', 'javascript/phplayersmenu/layersmenu-v4b.css');  
    PageUtil::addVar('javascript', 'javascript/phplayersmenu/libjs/layersmenu-browser_detection.js');    
    PageUtil::addVar('javascript', 'javascript/phplayersmenu/libjs/layersmenu-library.js');    
    PageUtil::addVar('javascript', 'javascript/phplayersmenu/libjs/layersmenu.js');    

    $mid = new LayersMenu ();
    $mid->setDirroot('javascript/phplayersmenu/');
    $mid->setImgdir('javascript/phplayersmenu/images/');
    $mid->setImgwww('javascript/phplayersmenu/images/');
    $mid->setIcondir('javascript/phplayersmenu/menuicons/');
    $mid->setIconwww('javascript/phplayersmenu/menuicons/');
    $mid->setIconsize(16, 16);
    $mid->setMenuStructureString ($menuString);
    $mid->parseStructureForMenu ('hormenu1');
    $mid->newHorizontalMenu ('hormenu1');
    $output .= $mid->makeHeader ();
    $output .= $mid->getMenu ('hormenu1');
    $output .= $mid->makeFooter('hormenu1');

    return $output;
}
