<?php
/**
 * Zikula Application Framework
 *
 * @copyright (c) 2004, Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: function.pnworkflow_getactionsbystate.php 24342 2008-06-06 12:03:14Z markwest $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @package Zikula_Template_Plugins
 * @subpackage Functions
 */

/**
 * Smarty function to display the available workflow actions for the current item state
 *
 */
function smarty_function_pnworkflow_getactionsbystate($params, &$smarty)
{
    if (!isset($params['schema'])) {
        $smarty->trigger_error('getactionsbystate: parameter [schema] required');
        return false;
    }

    if (!isset($params['module'])) {
        $smarty->trigger_error('getactionsbystate: parameter [module] required');
        return false;
    }

    if (!isset($params['state'])) {
        $smarty->trigger_error('getactionsbystate: parameter [state] required');
        return false;
    }

    $actions = WorkflowUtil::getActionsByState($params['schema'], $params['module'], $params['state']);
    $ak = array_keys($actions);
    $options = array();
    foreach($ak as $action) {
        $options[] = $action;
    }

    Loader::loadClass('HTMLUtil');
    return HtmlUtil::FormSelectMultipleSubmit($name, $options);
}
