<?php
/**
 * Zikula Application Framework
 * @copyright (c) 2002, Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: pninit.php 24342 2008-06-06 12:03:14Z markwest $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 * @package     Zikula_System_Modules
 * @subpackage  pnRender
 */

 /**
  * initialise the pnRender module
  *
  * This function initializes pnRender settings.
  *
  * @author       Joerg Napp
  * @return       boolean true on success, false otherwise.
  */
function pnRender_init()
{
    // now the main initialisation
    pnModSetVar('pnRender', 'compile_check',  true);
    pnModSetVar('pnRender', 'force_compile',  false);
    pnModSetVar('pnRender', 'cache',          false);
    pnModSetVar('pnRender', 'expose_template',false);
    pnModSetVar('pnRender', 'lifetime',       3600);

    // Initialisation successful
    return true;
}

/**
 * upgrade the pnRender module from an old version
 *
 * This function upgrades the module to be used. It updates tables,
 * registers hooks,...
 *
 * @author       Joerg Napp
 * @param        oldversion  the old version
 * @return       boolean true on success, false otherwise.
 */
function pnRender_upgrade($oldversion)
{
    return true;
}

/**
 * delete the pnRender module
 *
 * This function deletes pnRender settings.
 * (Not sure if that should ever happen!)
 *
 * @author       Joerg Napp
 * @return       boolean true on success, false otherwise.
 */
function pnRender_delete()
{
    // delete all module vars
    pnModDelVar('pnRender');

    // Deletion successful
    return true;
}
